Avoid unnecessary clock_gettime() syscalls in GC stats.
ClosedPublic

Authored by brbr on Jul 5 2014, 3:55 PM.

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Lint Skipped
Unit
Unit Tests Skipped
brbr updated this revision to Diff 88.Jul 5 2014, 3:55 PM
brbr retitled this revision from to Avoid unnecessary clock_gettime() syscalls in GC stats..
brbr updated this object.
brbr edited the test plan for this revision. (Show Details)
brbr added a reviewer: austin.
Harbormaster completed remote builds in B2: Diff 88.Jul 5 2014, 3:56 PM
simonmar accepted this revision.Jul 6 2014, 2:52 AM
simonmar added a reviewer: simonmar.

nice catch

austin added a comment.Jul 6 2014, 8:29 AM

This looks fine to me, but I really sort of hate #if 0, because that's just asking for eventual bitrot (and confusion once that happens). Why not just eliminate gc_start_thread_cpu entirely and be done with it?

@simonmar you're the RTS master, so I'll defer to you on this one. I just hate having dead code laying to rot.

brbr added a comment.EditedJul 6 2014, 9:14 AM

I considered removing the code, but decided against it for the initial patch at least. Please let me know, and I'll submit another diff.

EDIT: as well as cleanup the lint errors.

Thanks! Don't worry about the lint errors - we can annihilate the tabs in a separate commit afterwords.

But otherwise this patch looks just fine - I'll let @simonmar make the last call on the #if 0 bit.

Yeah, let's kill it completely.

austin requested changes to this revision.Jul 7 2014, 12:21 PM
austin edited edge metadata.

@brbr OK, all you. Thanks for the patch - I'll land it when this is updated!

This revision now requires changes to proceed.Jul 7 2014, 12:21 PM
brbr updated this revision to Diff 92.Jul 7 2014, 5:25 PM
brbr edited edge metadata.

Remove dead code associated with gc_start_thread_cpu (re Trac #9271).

Harbormaster completed remote builds in B5: Diff 92.Jul 7 2014, 5:26 PM
austin accepted this revision.Jul 7 2014, 5:50 PM
austin edited edge metadata.

LGTM!

This revision is now accepted and ready to land.Jul 7 2014, 5:50 PM
austin closed this revision.Jul 10 2014, 11:20 AM
austin updated this revision to Diff 122.

Closed by commit rGHC3c9fc104337a (authored by @brbr, committed by @austin).